CertificateCreateRule (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.catalina.startup, class: CertificateCreateRule

# Class CertificateCreateRule

java.lang.Object
org.apache.tomcat.util.digester.Rule
org.apache.catalina.startup.CertificateCreateRule

public class CertificateCreateRule extends Rule
Rule implementation that creates an SSLHostConfigCertificate.

- ## Field Summary

  ### Fields inherited from class Rule

  `digester, namespaceURI`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertificateCreateRule()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `begin(String namespace, String name, Attributes attributes)`
  This method is called when the beginning of a matching XML element is encountered.
  `void`
  `end(String namespace, String name)`
  This method is called when the end of a matching XML element is encountered.

  ### Methods inherited from class Rule

  `body, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CertificateCreateRule

    public CertificateCreateRule()
    Default constructor.

- ## Method Details

  - ### begin

    public void begin(String namespace, String name, Attributes attributes) throws Exception
    Description copied from class: `Rule`
    This method is called when the beginning of a matching XML element is encountered. The default implementation is a NO-OP.
    Overrides:
      `begin` in class `Rule`
    Parameters:
      `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
      `name` - the local name if the parser is namespace aware, or just the element name otherwise
      `attributes` - The attribute list of this element
    Throws:
      `Exception` - if an error occurs while processing the event

  - ### end

    public void end(String namespace, String name) throws Exception
    Description copied from class: `Rule`
    This method is called when the end of a matching XML element is encountered. The default implementation is a NO-OP.
    Overrides:
      `end` in class `Rule`
    Parameters:
      `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
      `name` - the local name if the parser is namespace aware, or just the element name otherwise
    Throws:
      `Exception` - if an error occurs while processing the event